Work Tasks

PUT /work-tasks/{id}

Update a work task. Requires work-tasks.update permission. Updating a confirmed work task automatically creates a new version.

Path parameters

Name Type Required Description
id string yes The unique identifier of the record

Query parameters

Name Type Required Description
fields[] string[] no Select which fields to include in the response. When omitted, all fields are returned. When provided, only the specified fields are included. (e.g., ?fields[]=id&fields[]=name) One of: active, canonicalId, createdAt, description, id, isCurrent, name, status, updatedAt, version.
with[] string[] no Include related resources in the response. Pass multiple values as separate query parameters (e.g., ?with[]=createdBy&with[]=updatedBy). One of: workStepsCount, createdBy, updatedBy.

Request body

Required.

application/json

  • active boolean · required
  • description string
  • name string · required
  • status string · required — Set to "confirmed" to make immutable
{
    "active": true,
    "description": "Monthly safety inspection of industrial equipment",
    "name": "Equipment Safety Inspection",
    "status": "draft"
}

Responses

Status Description
200 A json object describing the updated work task
400 The request was rejected
403 The requesting user lacks appropriate permissions
422 Validation errors

Response 200 body

  • data object · required — When fields[] is not provided, all properties are returned. When fields[] is provided, only the requested properties are included.
  • meta object · required
{
    "data": {
        "id": "019222d4-1d93-7d47-a3c4-b547e009a0f7",
        "active": true,
        "canonicalId": "019222d4-1d93-7d47-a3c4-b547e009a0f7",
        "createdAt": "2024-06-30T19:00:00Z",
        "createdBy": {
            "id": "019222d9-d87d-7724-bba6-ba91503ea311",
            "firstName": "John",
            "lastName": "Doe"
        },
        "description": "Monthly safety inspection of industrial equipment",
        "isCurrent": true,
        "name": "Equipment Safety Inspection",
        "status": "draft",
        "updatedAt": "2024-06-30T19:00:00Z",
        "updatedBy": {
            "id": "019222d9-d87d-7724-bba6-ba91503ea311",
            "firstName": "John",
            "lastName": "Doe"
        },
        "version": 1,
        "workStepsCount": 5
    },
    "meta": {
        "requestId": "019a3a60-6328-7075-8a41-76ff545ca5d3",
        "userId": "019a3a60-929c-7820-9b35-bf79a8bf83a6",
        "organizationId": "019a3a60-8175-7a68-88da-ecb4a7040b86"
    }
}